package com.hs.admin.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class AddUserReq {
    @ApiModelProperty(value = "账号", required = true)
    @NotBlank(message = "账号 参数必传")
    private String userCode;

    @ApiModelProperty(value = "名称", required = true)
    @NotBlank(message = "名称 参数必传")
    private String userName;

    @ApiModelProperty(value = "密码", required = true)
    @NotBlank(message = "密码 参数必传")
    private String password;

    @ApiModelProperty(value = "身份证", required = true)
    private String idcard;

    @ApiModelProperty(value = "性别", required = true)
    private String sex;

    @ApiModelProperty(value = "手机号码", required = true)
    private String mobile;

    @NotNull(message = "角色ID 参数必传")
    @ApiModelProperty(value = "角色ID", required = true)
    private Long roleId;

    @ApiModelProperty(value = "机构ID", required = true)
    @NotNull(message = "机构ID 参数必传")
    private List<Long> org;
}
