package com.hs.admin.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class RoleReq {
    public static class GetRoleReq {
        @ApiModelProperty(value = "角色名称", required = true)
        private String roleName;

        public String getRoleName() {
            return roleName;
        }

        public void setRoleName(String roleName) {
            this.roleName = roleName;
        }

        @Override
        public String toString() {
            return "GetReq{" +
                    "roleName='" + roleName + '\'' +
                    '}';
        }
    }

    public static class InfoRoleReq {
        @ApiModelProperty(value = "角色ID", required = true)
        @NotNull(message = "角色ID 参数必传")
        private Integer roleId;

        public Integer getRoleId() {
            return roleId;
        }

        public void setRoleId(Integer roleId) {
            this.roleId = roleId;
        }

        @Override
        public String toString() {
            return "DeleteReq{" +
                    "roleId=" + roleId +
                    '}';
        }
    }

    public static class AddRoleReq {
        @ApiModelProperty(value = "角色编码", required = true)
        @NotNull(message = "角色编码 参数必传")
        private Long roleCode;

        @ApiModelProperty(value = "角色名称", required = true)
        @NotBlank(message = "角色名称 参数必传")
        private String roleName;

        public Long getRoleCode() {
            return roleCode;
        }

        public void setRoleCode(Long roleCode) {
            this.roleCode = roleCode;
        }

        public String getRoleName() {
            return roleName;
        }

        public void setRoleName(String roleName) {
            this.roleName = roleName;
        }

        @Override
        public String toString() {
            return "AddReq{" +
                    "roleCode=" + roleCode +
                    ", roleName='" + roleName + '\'' +
                    '}';
        }
    }

    public static class DeleteRoleReq {
        @ApiModelProperty(value = "角色ID", required = true)
        @NotNull(message = "角色ID 参数必传")
        private Integer roleId;

        public Integer getRoleId() {
            return roleId;
        }

        public void setRoleId(Integer roleId) {
            this.roleId = roleId;
        }

        @Override
        public String toString() {
            return "DeleteReq{" +
                    "roleId=" + roleId +
                    '}';
        }
    }

    public static class UpdateRoleReq {
        @ApiModelProperty(value = "角色ID", required = true)
        @NotNull(message = "角色ID 参数必传")
        private Integer roleId;

        @ApiModelProperty(value = "角色编码", required = true)
        @NotNull(message = "角色编码 参数必传")
        private Long roleCode;

        @ApiModelProperty(value = "角色名称", required = true)
        @NotBlank(message = "角色名称 参数必传")
        private String roleName;

        public Integer getRoleId() {
            return roleId;
        }

        public void setRoleId(Integer roleId) {
            this.roleId = roleId;
        }

        public Long getRoleCode() {
            return roleCode;
        }

        public void setRoleCode(Long roleCode) {
            this.roleCode = roleCode;
        }

        public String getRoleName() {
            return roleName;
        }

        public void setRoleName(String roleName) {
            this.roleName = roleName;
        }

        @Override
        public String toString() {
            return "UpdateReq{" +
                    "roleId=" + roleId +
                    ", roleCode=" + roleCode +
                    ", roleName='" + roleName + '\'' +
                    '}';
        }
    }

    public static class SavaUserRoleReq {
        @ApiModelProperty(value = "用户ID", required = true)
        @NotNull(message = "用户ID 参数必传")
        private Long userId;

        @ApiModelProperty(value = "角色ID", required = true)
        @NotNull(message = "角色ID 参数必传")
        private Long roleId;

        public Long getUserId() {
            return userId;
        }

        public void setUserId(Long userId) {
            this.userId = userId;
        }

        public Long getRoleId() {
            return roleId;
        }

        public void setRoleId(Long roleId) {
            this.roleId = roleId;
        }

        @Override
        public String toString() {
            return "SavaUserRoleReq{" +
                    "userId=" + userId +
                    ", roleId=" + roleId +
                    '}';
        }
    }
}
