package com.hs.admin.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class UserReq {

    public static class GetUserReq {
        @ApiModelProperty(value = "用户名称", required = true)
        private String userName;

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        @Override
        public String toString() {
            return "GetReq{" +
                    "userName='" + userName + '\'' +
                    '}';
        }
    }

    public static class InfoUserReq {
        @ApiModelProperty(value = "用户ID", required = true)
        @NotNull(message = "用户ID 参数必传")
        private Integer userId;

        public Integer getUserId() {
            return userId;
        }

        public void setUserId(Integer userId) {
            this.userId = userId;
        }

        @Override
        public String toString() {
            return "DeleteReq{" +
                    "userId=" + userId +
                    '}';
        }
    }

    public static class AddUserReq {
        @ApiModelProperty(value = "账号", required = true)
        @NotBlank(message = "账号 参数必传")
        private String userCode;

        @ApiModelProperty(value = "名称", required = true)
        @NotBlank(message = "名称 参数必传")
        private String userName;

        @ApiModelProperty(value = "密码", required = true)
        @NotBlank(message = "密码 参数必传")
        private String password;

        @ApiModelProperty(value = "身份证", required = true)
        private String idcard;

        @ApiModelProperty(value = "性别", required = true)
        private String sex;

        @ApiModelProperty(value = "手机号码", required = true)
        private String mobile;

        public String getUserCode() {
            return userCode;
        }

        public void setUserCode(String userCode) {
            this.userCode = userCode;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getPassword() {
            return password;
        }

        public void setPassword(String password) {
            this.password = password;
        }

        public String getIdcard() {
            return idcard;
        }

        public void setIdcard(String idcard) {
            this.idcard = idcard;
        }

        public String getSex() {
            return sex;
        }

        public void setSex(String sex) {
            this.sex = sex;
        }

        public String getMobile() {
            return mobile;
        }

        public void setMobile(String mobile) {
            this.mobile = mobile;
        }

        @Override
        public String toString() {
            return "UserReq{" +
                    "userCode='" + userCode + '\'' +
                    ", userName='" + userName + '\'' +
                    ", password='" + password + '\'' +
                    ", idcard='" + idcard + '\'' +
                    ", sex='" + sex + '\'' +
                    ", mobile='" + mobile + '\'' +
                    '}';
        }

    }

    public static class DeleteUserReq {
        @ApiModelProperty(value = "用户ID", required = true)
        @NotNull(message = "用户ID 参数必传")
        private Integer userId;

        public Integer getUserId() {
            return userId;
        }

        public void setUserId(Integer userId) {
            this.userId = userId;
        }

        @Override
        public String toString() {
            return "DeleteReq{" +
                    "userId=" + userId +
                    '}';
        }
    }

    public static class UpdateUserReq {
        @ApiModelProperty(value = "用户ID", required = true)
        @NotNull(message = "用户ID 参数必传")
        private Integer userId;

        @ApiModelProperty(value = "账号", required = true)
        @NotBlank(message = "账号 参数必传")
        private String userCode;

        @ApiModelProperty(value = "名称", required = true)
        @NotBlank(message = "名称 参数必传")
        private String userName;

        @ApiModelProperty(value = "密码", required = true)
        @NotBlank(message = "密码 参数必传")
        private String password;

        @ApiModelProperty(value = "身份证", required = true)
        private String idcard;

        @ApiModelProperty(value = "性别", required = true)
        private String sex;

        @ApiModelProperty(value = "手机号码", required = true)
        private String mobile;

        public Integer getUserId() {
            return userId;
        }

        public void setUserId(Integer userId) {
            this.userId = userId;
        }

        public String getUserCode() {
            return userCode;
        }

        public void setUserCode(String userCode) {
            this.userCode = userCode;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getPassword() {
            return password;
        }

        public void setPassword(String password) {
            this.password = password;
        }

        public String getIdcard() {
            return idcard;
        }

        public void setIdcard(String idcard) {
            this.idcard = idcard;
        }

        public String getSex() {
            return sex;
        }

        public void setSex(String sex) {
            this.sex = sex;
        }

        public String getMobile() {
            return mobile;
        }

        public void setMobile(String mobile) {
            this.mobile = mobile;
        }

        @Override
        public String toString() {
            return "UpdateReq{" +
                    "userId=" + userId +
                    ", userCode='" + userCode + '\'' +
                    ", userName='" + userName + '\'' +
                    ", password='" + password + '\'' +
                    ", idcard='" + idcard + '\'' +
                    ", sex='" + sex + '\'' +
                    ", mobile='" + mobile + '\'' +
                    '}';
        }
    }
}
