package com.hs.api.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Data
public class AddBudgetValue {
    @ApiModelProperty(value = "类型")
    @NotNull(message = "类型不能为空")
    private Integer projType;

    @ApiModelProperty(value = "时间")
    @NotNull(message = "时间不能为空")
    private BigDecimal date;

    @ApiModelProperty(value = "科室")
    @NotBlank(message = "科室不能为空")
    private String deptCode;

    @ApiModelProperty(value = "数值")
    @NotNull(message = "数值不能为空")
    private List<BudgetValue> budgetValues;

}
