package com.hs.api.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class Disease {
    /**
     * ID或者等级查询疾病实体
     */
    public static class DiseaseIDorLevel {

        @ApiModelProperty(value = "时间", required = true)
        @NotNull(message = "date 参数必传")
        private String date;
        @ApiModelProperty(value = "疾病编码", required = false)
        private String disease;
        @ApiModelProperty(value = "等级", required = false)
        private Integer level;
        @ApiModelProperty(value = "医生编码", required = false)
        private String doctor;
        @ApiModelProperty(value = "科室编码", required = false)
        private String dept;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public String getDisease() {
            return disease;
        }

        public void setDisease(String disease) {
            this.disease = disease;
        }

        public Integer getLevel() {
            return level;
        }

        public void setLevel(Integer level) {
            this.level = level;
        }

        public String getDoctor() {
            return doctor;
        }

        public void setDoctor(String doctor) {
            this.doctor = doctor;
        }

        public String getDept() {
            return dept;
        }

        public void setDept(String dept) {
            this.dept = dept;
        }

        @Override
        public String toString() {
            return "DiseaseIDorLevel{" +
                    "date='" + date + '\'' +
                    ", disease='" + disease + '\'' +
                    ", level=" + level +
                    ", doctor='" + doctor + '\'' +
                    ", dept='" + dept + '\'' +
                    '}';
        }
    }

    /**
     * 名称查询疾病实体
     */
    public static class DiseaseName {

        @ApiModelProperty(value = "时间", required = true)
        @NotNull(message = "date 参数必传")
        private String date;
        @ApiModelProperty("疾病名称")
        private String mdcName;
        @ApiModelProperty(value = "医生编码")
        private String doctor;
        @ApiModelProperty(value = "科室编码")
        private String dept;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public String getMdcName() {
            return mdcName;
        }

        public void setMdcName(String mdcName) {
            this.mdcName = mdcName;
        }

        public String getDoctor() {
            return doctor;
        }

        public void setDoctor(String doctor) {
            this.doctor = doctor;
        }

        public String getDept() {
            return dept;
        }

        public void setDept(String dept) {
            this.dept = dept;
        }

        @Override
        public String toString() {
            return "DiseaseName{" +
                    "date='" + date + '\'' +
                    ", mdcName='" + mdcName + '\'' +
                    ", doctor='" + doctor + '\'' +
                    ", dept='" + dept + '\'' +
                    '}';
        }
    }
}


