package com.hs.api.model.respmodel;

import com.hs.api.model.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel(description = "登录信息")
public class LoginInfo {
    @ApiModelProperty("token")
    private String token;
    @ApiModelProperty("用户信息")
    private SysUser user;
    @ApiModelProperty("用户角色信息")
    private SysRole role;
    @ApiModelProperty("用户机构信息")
    private List<DicOrg> org;
    @ApiModelProperty("用户科室信息")
    private SerDepartment dept;
    @ApiModelProperty("病案信息")
    private SysVersion version;

    public LoginInfo() {
    }

    public LoginInfo(String token, SysUser user, List<DicOrg> org) {
        this.token = token;
        this.user = user;
        this.org = org;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public SysUser getUser() {
        return user;
    }

    public void setUser(SysUser user) {
        this.user = user;
    }

    public List<DicOrg> getOrg() {
        return org;
    }

    public void setOrg(List<DicOrg> org) {
        this.org = org;
    }

    public SerDepartment getDept() {
        return dept;
    }

    public void setDept(SerDepartment dept) {
        this.dept = dept;
    }

    public SysRole getRole() {
        return role;
    }

    public void setRole(SysRole role) {
        this.role = role;
    }

    public SysVersion getVersion() {
        return version;
    }

    public void setVersion(SysVersion version) {
        this.version = version;
    }

    @Override
    public String toString() {
        return "LoginInfo{" +
                "token='" + token + '\'' +
                ", user=" + user +
                ", role=" + role +
                ", org=" + org +
                ", dept=" + dept +
                ", version=" + version +
                '}';
    }
}
