package com.hs.api.unusecontroller;

import com.hs.api.common.base.RequestResult;
import com.hs.api.common.enums.RequestResultType;
import com.hs.api.model.DicDim;
import com.hs.api.model.respmodel.ListPage;
import com.hs.api.service.DicDimService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = {"维度操作"}, hidden = true)
@RequestMapping("dim")
@RestController
public class DicDimController {
    @Autowired
    private DicDimService dicDimService;


    @GetMapping("list")
    public Object list() {
        List<DicDim> list = dicDimService.findAll();
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),list);
    }

    @GetMapping("listpage")
    public Object listpage(Integer pageSize,Integer pageIndex) {
        List<DicDim> list = dicDimService.findAll();
        ListPage<DicDim> listPage = new ListPage(list,pageSize,pageIndex,0);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),list);
    }

    @GetMapping("info")
    public Object info(Long id) {
        dicDimService.find(id);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("add")
    public Object add(DicDim dicDim) {
        dicDimService.add(dicDim);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("update")
    public Object update(DicDim dicDim) {
        dicDimService.update(dicDim);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("delete")
    public Object delete(Long id) {
        dicDimService.delete(id);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

}
