package com.hs.api.unusecontroller;

import com.hs.api.common.base.RequestResult;
import com.hs.api.common.enums.RequestResultType;
import com.hs.api.model.SysUserOrgRs;
import com.hs.api.model.respmodel.ListPage;
import com.hs.api.service.SysUserOrgRsService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = {"用户机构关系"}, hidden = true)
@RequestMapping("userOrg")
@RestController
public class SysUserOrgController {
    @Autowired
    private SysUserOrgRsService sysUserOrgRsService;


    @GetMapping("list")
    public Object list() {
        List<SysUserOrgRs> list = sysUserOrgRsService.findAll();
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),list);
    }

    @GetMapping("listpage")
    public Object listpage(Integer pageSize,Integer pageIndex) {
        List<SysUserOrgRs> list = sysUserOrgRsService.findAll();
        ListPage<SysUserOrgRs> listPage = new ListPage(list,pageSize,pageIndex,0);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),list);
    }

    @GetMapping("info")
    public Object info(Long id) {
        sysUserOrgRsService.find(id);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("add")
    public Object add(SysUserOrgRs sysUserOrgRs) {
        sysUserOrgRsService.add(sysUserOrgRs);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("update")
    public Object update(SysUserOrgRs sysUserOrgRs) {
        sysUserOrgRsService.update(sysUserOrgRs);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }

    @PostMapping("delete")
    public Object delete(Long id) {
        sysUserOrgRsService.delete(id);
        return new RequestResult(RequestResultType.SUCCESS.getValue(),RequestResultType.SUCCESS.getDesc(),null);
    }
}
